using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Collections;

namespace ComboBoxSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            comboBoxBase1.ListControl = new ListBox();
            comboBoxBase1.ListControl.DataSource = GetList();
            comboBoxBase1.ListControl.DisplayMember = "Name";
            comboBoxBase1.ListControl.ValueMember = "StringValue";

            comboBoxBase1.ListControl.SelectedValue = "3";
            comboBoxBase1.Text = comboBoxBase1.ListControl.Text;
        }

        private ArrayList GetList()
        {
            ArrayList list = new ArrayList();
            list.Add(new StringNameValuePair("1", "one"));
            list.Add(new StringNameValuePair("2", "two"));
            list.Add(new StringNameValuePair("3", "three"));
            list.Add(new StringNameValuePair("4", "four"));
            list.Add(new StringNameValuePair("5", "five"));            
            return list;
        }
    }

    public class StringNameValuePair
    {
        private string stringValue;
        private string name;

        /// <summary>
        /// Initialize the name value pair
        /// </summary>
        public StringNameValuePair()
        {
        }

        /// <summary>
        /// Initialize the name value pair
        /// </summary>
        /// <param name="stringValue">the string value (value part)</param>
        /// <param name="name">the string name (name part)</param>
        public StringNameValuePair(string stringValue, string name)
        {
            this.stringValue = stringValue;
            this.name = name;
        }

        /// <summary>
        /// Get/Set the string value (value part)
        /// </summary>
        public string StringValue
        {
            get
            {
                return stringValue;
            }

            set
            {
                this.stringValue = value;
            }
        }

        /// <summary>
        /// Get/Set the string name (name part)
        /// </summary>
        public string Name
        {
            get
            {
                return name;
            }

            set
            {
                this.name = value;
            }
        }
    }
}